import java.util.ArrayList;
import java.util.List;

public class Data {
    private static Data instance;
    private List<User> users;

    private Data() {
        users = new ArrayList<>();
    }

    public static Data getInstance() {
        if (instance == null) {
            instance = new Data();
        }
        return instance;
    }

    public List<User> get() {
        return users;
    }

    public User get(int id) {
        for (User user : users) {
            if (user.getId() == id) {
                return user;
            }
        }
        return null;
    }

    public void post(User user) {
        if (get(user.getId()) != null) {
            return;
        }
        users.add(user);
    }

    public void put(User user) {
        User u = get(user.getId());
        if (u != null) {
            u.setName(user.getName());
            u.setEmail(user.getEmail());
        }
    }

    public void delete(int id) {
        for (int i = 0; i < users.size(); i++) {
            if (users.get(i).getId() == id) {
                users.remove(i);
                return;
            }
        }
    }

}
