import java.util.List;

public class ListUser implements Operation {

    @Override
    public void run() {
        Tools tools = Tools.getInstance();
        Data data = Data.getInstance();
        Logger logger = Logger.getInstance();

        List<User> users = data.get();

        if (users.size() <= 0) {
            logger.write("Listando, mas não existe nada cadastrado ainda.");
            return;
        }
        tools.write("" + users.size(), true);
        tools.write("+-----------+--------------------------+--------------------------+", true);
        tools.write("| ID        |          NOME            |         E-MAIL           |", true);
        tools.write("+-----------+--------------------------+--------------------------+", true);
        for (User user : users) {
            tools.write(
                    String.format("| %-9d | %-24s | %-24s |",
                            user.getId(),
                            user.getName(),
                            user.getEmail()),
                    true);
        }
        tools.write("+-----------+--------------------------+--------------------------+", true);
    }
}
