public class InsertUser implements Operation {

    @Override
    public void run() {
        Data data = Data.getInstance();
        Tools tools = Tools.getInstance();
        Logger logger = Logger.getInstance();
        try {
            int id = Integer.parseInt(tools.read("ID.....:"));
            String name = tools.read("NAME...:");
            String email = tools.read("E-MAIL..:");
            User user = new User(id, name, email);
            data.post(user);
        } catch (Exception e) {
            logger.write("ERRO: " + e.getMessage());
        }
    }

}
