public class OperationFactory {
    public static Operation getOperation(String tipo) {
        if (tipo.equals("GET")) {
            return new ListUser();
        }
        if (tipo.equals("INSERT")) {
            return new InsertUser();
        }
        if (tipo.equals("UPDATE")) {
            return new UpdateUser();
        }
        if (tipo.equals("DELETE")) {
            return new DeleteUser();
        }
        return null;
    }

}
