import java.util.Scanner;

public class Tools {
    private static Tools instance;
    private Scanner scanner;

    private Tools() {
        scanner = new Scanner(System.in);
    }

    public static Tools getInstance() {
        if (instance == null) {
            instance = new Tools();
        }
        return instance;
    }

    public void write(String text, boolean nextLine) {
        if (nextLine) {
            System.out.println(text);
        } else {
            System.out.print(text);
        }
    }

    public String read(String text) {
        write(text + " ", false);
        return scanner.nextLine();
    }

    public void close() {
        scanner.close();
    }
}
